// This may look like C code, but it is really -*- C++ -*-
/*
 ************************************************************************
 *	Reliable Broadcast over unreliable low-bandwidth (satellite)
 *			channels with no feedback
 *
 * 		Link Access Protocol - a Serial Link
 *
 * This is a particular type of link access via Windoze communication
 * port. The name of the port is determined from a env
 * variable LAPSERPORT. It is assumed that the port is already
 * set up for desirable baud rate, parity, etc. This program doesn't
 * do any of the setup, use 'mode' or other configurational utility.
 *
 * $Id: LAPSWin.h,v 2.0 1996/08/13 19:12:59 oleg Exp oleg $
 *
 ************************************************************************
 */

#ifndef __GNUC__
#pragma once
#else
#pragma interface
#endif

#ifndef __LAPSWin_h
#define __LAPSWin_h

#include "LAP.h"
#include <windows.h>

class LAPSWinIn : public LAPIn
{
  const unsigned long timeout;	// Timeout value in 1/1000th of a second
  HANDLE comdev_handle;		// Serial device handle
  int wait_for_char(void);
//  bool is_char_available(void);

  enum { SOH = 'A' };		// Start of the packet char

public:
  LAPSWinIn(void);
  virtual ~LAPSWinIn(void);
  				// Standard LAPIn interface
  virtual unsigned char read_byte(void);
  virtual void look_for_start_of_packet(void);
  virtual void ending_packet(void);
};

#endif

